<div class="layout-2cols">
  <slot name="colA"/>
  <slot name="colB"/>
</div>
<style lang="sass">

div.layout-2cols
  display: flex
  flex-direction: row
  width: 100%
  gap: 4rem


@media screen and (max-width: 1200px)
  div.layout-2cols
    flex-direction: column
</style>
